Summary: Server daemons for Secure IMAP network mail protocols.
Name: imap
Version: 2000c
Release: 1.0.20
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.cac.washington.edu/imap/imap-%{version}.tar.Z
Source1: imap.pamd
Source2: pop.pamd
Source3: stunnel-simap-initscript
Source4: stunnel-spop3-initscript
Source5: imapd-pop3d-server-20011129.pem
Patch1:  imap-2000c-security.patch
Patch2:  imap-2000c-morefixes.patch
Buildroot: /var/tmp/%{name}-root
Requires: pam >= 0.59, stunnel, tcp_wrappers


%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect
mail for users and allows users to download their mail to their local
machine for reading. The IMAP protocol allows a user to read mail on a
remote machine without downloading it to their local machine.  This 
version requires stunnel.

Install the imap package if you need a server to support the IMAP.

%prep
%setup -q
%patch1 -p1 
%patch2 -p1 

%build
make EXTRACFLAGS="$RPM_OPT_FLAGS" lnp

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ssl/certs
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/imap

install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT%{_mandir}/man8/imapd.8c

install -m 700 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/stunnel-imap
install -m 700 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/stunnel-pop3
install -m 400 %{SOURCE5} $RPM_BUILD_ROOT/etc/ssl/certs/imapd-server.pem
install -m 400 %{SOURCE5} $RPM_BUILD_ROOT/etc/ssl/certs/pop3d-server.pem

install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin/simap
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin/spop3
install -m 600 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/imap
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/pop

install -m 644 ./c-client/c-client.a $RPM_BUILD_ROOT/usr/lib
install -m 644 ./c-client/*.h $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/usr/include/imap


%post
/sbin/chkconfig --del stunnel-pop3

%preun
### Stop imap daemon before uninstalling
if [ -n "`/etc/init.d/stunnel-imap status | grep running`" ] ; then
  /etc/init.d/stunnel-imap stop
fi

### Stop pop daemon before uninstalling
if [ -n "`/etc/init.d/stunnel-pop3 status | grep running`" ] ; then
  /etc/init.d/stunnel-pop3 stop
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0600,root,root)
%config /etc/pam.d/imap
%config /etc/pam.d/pop

%attr(0750,root,mail) /usr/sbin/simap
%attr(0750,root,mail) /usr/sbin/spop3
%attr(0400,root,mail) /etc/ssl/certs/imapd-server.pem
%attr(0400,root,mail) /etc/ssl/certs/pop3d-server.pem
%attr(0700,root,root) /etc/init.d/stunnel-imap
%attr(0700,root,root) /etc/init.d/stunnel-pop3

%defattr(-,root,root)
%doc %{_mandir}/man8/imapd.8c*
%doc README


%changelog
* Thu Nov 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2000c, Release 1.0.20
  - Regenerated cert.  They're the same file anyway so only keep one in
    SOURCES and copy appropriately (Expires on Nov 29 17:43:27 2003 GMT).
  - Removed some bad use of $RPM_SOURCE_DIR.


* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2000c, Release 1.0.19
  - i386 build fixes!!


* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Tue Mar 20 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2000c, Release 1.0.17
  - Upgraded to version 200c which fixes numerous problems.
  - Applied security patches stolen from Conectiva SRPM ;).
    - (Thank you Conectiva).


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.


* Wed Jan 24 2001 Pete O'Hara <pete@guardiandigital.com>
- modified startup scripts to print OK on successful 
	startup

* Wed Jan 03 2001 Pete O'Hara <pete@guardiandigital.com>
- changed /etc/init.d/stunnel-(imap,pop3) scripts to 
	not use the daemon and killproc functions in 
	/etc/init.d/functions as they are not 
	stunnel friendly at this point

* Fri Dec 29 2000 Pete O'Hara <pete@guardiandigital.com>
- turned off spop3 by default until is runs with simap

* Mon Dec 11 2000 Pete O'Hara <pete@guardiandigital.com>
- added missing /etc/pam.d/pop

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- build for Pam use

* Tue Nov 28 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Initscripts are now fixed, and tested.
- Changed mode on *.pem files to 0400.

* Mon Nov 27 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Partially fixed initscripts.  They no longer use /etc/sysconfig, but they
  are still not 100%.
- Fixed certificate to use '*' as the Common Name.
- Removed chkconfig since we don't want them started by default.
- Fixed various %file definitions that were bound to break eventually.

* Sat Nov 25 2000 Dave Wreski <dave@guardiandigital.com>
- added RPM_OPT_FLAGS

* Tue Nov 22 2000 Nick DeClario <nick@guardiandigital.com>
- Changed filenames of pop and imap to spop3 and simap
- Updated init scripts as necessary

* Sun Nov 20 2000 Nick DeClario <nick@guardiandigital.com>
- Added POP back
- changed Init files

* Tue Nov 07 2000 Nick DeClario <nick@guardiandigital.com>
- Updated binary to WU imap 2000 (Release Oct 26, 2000)
- Removed creation of "devel" package
- converted all /etc/rc.d to /etc
- added chkconfig support

* Wed Oct 18 2000 Nick DeClario <nick@guardiandigital.com>
- removed POP
- added stunnel support
